---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libvmdeath001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F2C0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51200, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x515F0, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52590, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x525A0, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EE00, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EE04, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EE08, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EF60, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F018, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F01C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F020, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F024, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F028, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F030, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F040, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F048, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F050, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F058, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F060, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F068, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F0B0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4F0B8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3DE0, symSize: 0x80 }
  - { offsetInCU: 0x91D7, offset: 0x91D7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3D30, symSize: 0xB0 }
  - { offsetInCU: 0x9232, offset: 0x9232, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3C30, symSize: 0x100 }
  - { offsetInCU: 0x94C5, offset: 0x94C5, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3E60, symSize: 0xC0 }
  - { offsetInCU: 0x9517, offset: 0x9517, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3F20, symSize: 0x220 }
  - { offsetInCU: 0x96FC, offset: 0x96FC, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4140, symSize: 0xA0 }
  - { offsetInCU: 0x97AF, offset: 0x97AF, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x41E0, symSize: 0x110 }
  - { offsetInCU: 0x98A5, offset: 0x98A5, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x42F0, symSize: 0x150 }
  - { offsetInCU: 0x9A02, offset: 0x9A02, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4440, symSize: 0x30 }
  - { offsetInCU: 0x9A2F, offset: 0x9A2F, size: 0x8, addend: 0x0, symName: __Z14TranslatePhase10jvmtiPhase, symObjAddr: 0x1860, symBinAddr: 0x4470, symSize: 0x30 }
  - { offsetInCU: 0x9AF2, offset: 0x9AF2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x44A0, symSize: 0x150 }
  - { offsetInCU: 0x9CEA, offset: 0x9CEA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x45F0, symSize: 0x160 }
  - { offsetInCU: 0x9FAA, offset: 0x9FAA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4750, symSize: 0x4A0 }
  - { offsetInCU: 0xA21D, offset: 0xA21D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4BF0, symSize: 0x1B0 }
  - { offsetInCU: 0xA438, offset: 0xA438, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4DA0, symSize: 0xA0 }
  - { offsetInCU: 0xA507, offset: 0xA507, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4E40, symSize: 0x20 }
  - { offsetInCU: 0xA53E, offset: 0xA53E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4E60, symSize: 0x20 }
  - { offsetInCU: 0xA575, offset: 0xA575, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4E80, symSize: 0x20 }
  - { offsetInCU: 0xA704, offset: 0xA704, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4EA0, symSize: 0x1A0 }
  - { offsetInCU: 0xAA20, offset: 0xAA20, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x5040, symSize: 0x130 }
  - { offsetInCU: 0xABD0, offset: 0xABD0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5170, symSize: 0x80 }
  - { offsetInCU: 0xAC99, offset: 0xAC99, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x51F0, symSize: 0x6A0 }
  - { offsetInCU: 0xB82E, offset: 0xB82E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F50, symBinAddr: 0x62D0, symSize: 0xB0 }
  - { offsetInCU: 0xB8A5, offset: 0xB8A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5890, symSize: 0x70 }
  - { offsetInCU: 0xB941, offset: 0xB941, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5900, symSize: 0xA0 }
  - { offsetInCU: 0xBA4C, offset: 0xBA4C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x59A0, symSize: 0x40 }
  - { offsetInCU: 0xBB42, offset: 0xBB42, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x59E0, symSize: 0x2B0 }
  - { offsetInCU: 0xBEE8, offset: 0xBEE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5C90, symSize: 0xC0 }
  - { offsetInCU: 0xC02E, offset: 0xC02E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5D50, symSize: 0x10 }
  - { offsetInCU: 0xC0F0, offset: 0xC0F0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5D60, symSize: 0x220 }
  - { offsetInCU: 0xC3ED, offset: 0xC3ED, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5F80, symSize: 0x10 }
  - { offsetInCU: 0xC44A, offset: 0xC44A, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5F90, symSize: 0x240 }
  - { offsetInCU: 0xC6D6, offset: 0xC6D6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E50, symBinAddr: 0x61D0, symSize: 0x10 }
  - { offsetInCU: 0xC733, offset: 0xC733, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0x9E60, symBinAddr: 0x61E0, symSize: 0xF0 }
  - { offsetInCU: 0xC84A, offset: 0xC84A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA000, symBinAddr: 0x6380, symSize: 0x36A }
...
